Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 890637 - [rfe] DHT - rebalance - when any brick/sub-vol is down and rebalance is not performing any action(fixing lay-out or migrating data) it should not say 'Starting rebalance on volume <vol-name> has been successful' .
[rfe] DHT - rebalance - when any brick/sub-vol is down and rebalance is not p...
Status: CLOSED DEFERRED
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute (Show other bugs)
2.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Nithya Balachandran
Matt Zywusko
: FutureFeature
Depends On:
Blocks: 1063230 1282293
  Show dependency treegraph
 
Reported: 2012-12-28 05:25 EST by Rachana Patel
Modified: 2015-11-30 12:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 1063230 1224857 1282293 (view as bug list)
Environment:
Last Closed: 2015-11-30 04:32:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2012-12-28 05:25:00 EST
Description of problem:
DHT - rebalance - when any brick/sub-vol is down, rebalance will performing any action but cli says 'Starting rebalance on volume <vol-name> has been successful' .


Version-Release number of selected component (if applicable):
3.3.0.5rhs-40

How reproducible:
always

Steps to Reproduce:
1. Create a Distributed volume having 3 or more sub-volumes on multiple server and start that volume.

2. Fuse Mount the volume from the client-1 using “mount -t glusterfs  server:/<volume> <client-1_mount_point>”

3. From mount point create some dirs and files inside it.
4. Bring on of the sub-volume down.
[root@localhost ~]# gluster volume status
Status of volume: defect
Gluster process						Port	Online	Pid
------------------------------------------------------------------------------
Brick 10.70.35.173:/home/def1				24011	Y	6440
Brick 10.70.35.180:/home/def1				24011	Y	28882
Brick 10.70.35.170:/home/def1				24011	N	27711
NFS Server on localhost					38467	Y	6608
NFS Server on 10.70.35.170				38467	Y	6153
NFS Server on 10.70.35.173				38467	Y	6446


5. Execute rebalance.
[root@localhost ~]# gluster volume rebalance defect fix-layout start
Starting rebalance on volume defect has been successful

6. check status and log
[root@localhost ~]# gluster volume rebalance defect status
                                    Node Rebalanced-files          size       scanned      failures         status
                               ---------      -----------   -----------   -----------   -----------   ------------
                               localhost                0            0            0            1         failed
                            10.70.35.173                0            0            0            1         failed
                            10.70.35.170                0            0            0            1         failed


log:-
[2012-12-28 09:55:48.833293] I [dht-common.c:2337:dht_setxattr] 0-defect-dht: fixing the layout of /
[2012-12-28 09:55:48.833309] W [dht-selfheal.c:603:dht_fix_layout_of_directory] 0-defect-dht: 1 subvolume(s) are down. Skipping fix layout.
  
Actual results:
[root@localhost ~]# gluster volume rebalance defect fix-layout start
Starting rebalance on volume defect has been successful

Expected results:
all sub-vol/bricks should be up is basic condition for rebalance. So when one sub-vol or brick is down, It should give proper message indicating that rebalance is not started as one of the brick/sub-volume is down rather than saying it started


Additional info:
Comment 2 Rachana Patel 2012-12-28 06:19:40 EST
correction:-
Description of problem:
DHT - rebalance - when any brick/sub-vol is down, rebalance will not performing any action but cli says 'Starting rebalance on volume <vol-name> has been successful' .
Comment 3 Scott Haines 2013-09-27 13:07:32 EDT
Targeting for 3.0.0 (Denali) release.
Comment 4 Vivek Agarwal 2014-04-07 07:40:57 EDT
Per bug triage, between dev, PM and QA, moving these out of denali
Comment 7 Susant Kumar Palai 2015-11-30 04:32:15 EST
This is being tracked in bug 1282293

Note You need to log in before you can comment on or make changes to this bug.